## krusader 2.2.0~beta1

=== CMakeLists.txt ===
project(krusader)

INCLUDE(CPack)

set(VERSION "2.2.0-beta1" )
set(RELEASE_NAME "DeKade")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

set(CMAKE_VERBOSE_MAKEFILE OFF)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

#include(ConfigureChecks.cmake)

add_subdirectory(krusader)
add_subdirectory(pics)
add_subdirectory(doc-extras)
add_subdirectory(krArc)
add_subdirectory(iso)
add_subdirectory(krfiledialog)
#add_subdirectory(virt) - not used

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(TARDIR)")
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( pt_BR_krusader/krusader )
add_subdirectory( uk_krusader/krusader )

=== doc/CMakeLists.txt ===
add_subdirectory( pics )

########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krusader)

=== krusader/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES})

configure_file(krusaderversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/krusaderversion.h)

find_package(LibKonq)

if(LIBKONQ_FOUND)
    message(STATUS "libkonq library found")
    add_definitions(-D__LIBKONQ__)
    include_directories( ${LIBKONQ_INCLUDE_DIR} )
else(LIBKONQ_FOUND)
    message(STATUS "libkonq library not found")
endif(LIBKONQ_FOUND)

add_subdirectory(ActionMan)
add_subdirectory(BookMan)
add_subdirectory(Dialogs)
add_subdirectory(DiskUsage)
add_subdirectory(Filter)
add_subdirectory(GUI)
add_subdirectory(Konfigurator)
add_subdirectory(KViewer)
add_subdirectory(Locate)
add_subdirectory(MountMan)
add_subdirectory(Queue)
add_subdirectory(Panel)
### add_subdirectory(RemoteMan) - deprecated ###
add_subdirectory(Search)
add_subdirectory(Splitter)
add_subdirectory(Synchronizer)
add_subdirectory(UserAction)
add_subdirectory(UserMenu)
add_subdirectory(VFS)

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(KRJSDIR)")

set(krusader_SRCS
    krmainwindow.cpp
    krglobal.cpp
    kractions.cpp
    paneltabbar.cpp 
    panelmanager.cpp 
    krservices.cpp 
    main.cpp 
    krusaderview.cpp 
    krusader.cpp 
    krslots.cpp 
    kicons.cpp 
    krusaderapp.cpp
    krtrashhandler.cpp)

qt4_add_dbus_adaptor(krusader_SRCS org.krusader.Instance.xml krusader.h Krusader)

kde4_add_app_icon(krusader_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-krusader_user.png")

kde4_add_executable(krusader ${krusader_SRCS})

target_link_libraries(krusader
                      Panel
                      BookMan
                      Dialogs
                      DiskUsage
                      GUI
                      Konfigurator
                      KViewer
                      MountMan
                      Queue
                      VFS
                      Search
                      Splitter
                      Synchronizer
                      UserMenu
                      Locate
                      UserAction
                      ActionMan
                      KViewer
                      Filter
                      Dialogs
                      GUI
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KHTML_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KFILE_LIBS}
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_SOLID_LIBS})

if(LIBKONQ_FOUND)
    target_link_libraries( krusader ${LIBKONQ_LIBRARY} )
endif(LIBKONQ_FOUND)

install(TARGETS krusader ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES krusader.desktop
              krusader_root-mode.desktop
        DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES krusaderui.rc
              krusaderlisterui.rc
              midnight_commander.color
              total_commander.color
              total_commander.keymap
              total_commander.keymap.info
              useraction_examples.xml
              layout.xml
              splash.png
        DESTINATION ${DATA_INSTALL_DIR}/krusader)

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== krusader/GUI/CMakeLists.txt ===
set(GUI_SRCS
    dirhistoryqueue.cpp 
    dirhistorybutton.cpp 
    krusaderstatus.cpp 
    kfnkeys.cpp 
    kcmdline.cpp 
    syncbrowsebutton.cpp 
    profilemanager.cpp 
    krremoteencodingmenu.cpp 
    krtreewidget.cpp
    krstyleproxy.cpp
    krlistwidget.cpp
    mediabutton.cpp 
    kcmdmodebutton.cpp
    terminaldock.cpp)

kde4_add_library(GUI STATIC ${GUI_SRCS})

=== krusader/Panel/CMakeLists.txt ===
set(Panel_SRCS
    krlayoutfactory.cpp
    krerrordisplay.cpp
    krpreviews.cpp
    krpreviewjob.cpp
    krcolorcache.cpp 
    krcalcspacedialog.cpp 
    krpopupmenu.cpp 
    krpreviewpopup.cpp 
    krview.cpp 
    krviewitem.cpp 
    panelfunc.cpp
    krpanel.cpp
    listpanel.cpp 
    panelpopup.cpp 
    krselectionmode.cpp 
    krvfsmodel.cpp
    krinterview.cpp
    krinterbriefview.cpp
    krinterdetailedview.cpp
    krinterviewitemdelegate.cpp
    krviewfactory.cpp
    krmousehandler.cpp)

kde4_add_library(Panel STATIC ${Panel_SRCS})

target_link_libraries(Panel Dialogs GUI KViewer ${KDE4_KFILE_LIBS} )


if(LIBKONQ_FOUND)
    target_link_libraries( Panel ${LIBKONQ_LIBRARY} )
endif(LIBKONQ_FOUND)

=== krusader/VFS/CMakeLists.txt ===
set(VFS_SRCS
    krvfshandler.cpp
    virt_vfs.cpp 
    vfs.cpp 
    vfile.cpp 
    normal_vfs.cpp 
    krpermhandler.cpp 
    krarchandler.cpp 
    preservingcopyjob.cpp 
    virtualcopyjob.cpp 
    ftp_vfs.cpp 
    krquery.cpp
    kiojobwrapper.cpp
    preserveattrcopyjob.cpp
    packjob.cpp
    abstractthreadedjob.cpp)

kde4_add_library(VFS STATIC ${VFS_SRCS})

=== debian/changelog ===
krusader (1:2.2.0~beta1-1) unstable; urgency=low

  * New upstream release.
  * Update location of KDE 4 HTML documentation.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 01:04:52 +0300

krusader (1:2.1.0~beta1-1) unstable; urgency=low

  * New upstream release:
    - Fix FTBFS with GCC 4.4 (Closes: #526164). Thanks to Martin Michlmayr.
    - Fix FTBFS with binutils-gold (Closes: #555061).
  * Update debian/control:
    - Drop cdbs build dependency.
    - Bump build dependencies version: debhelper, pkg-kde-tools and
      kdelibs5-dev.
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules: convert to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 11 Nov 2009 13:06:50 +0100

krusader (1:2.0.0-1) unstable; urgency=low

  * New upstream release
    - Add 1: epoc to increment over 2.0.0beta
    - Fixes "2.0.0 version allready available" (Closes: #524738)
    - Fixes "krusader crashes in FTP" (Closes: #420573)
    - Fixes "Krusader ftp is bad" (Closes: #358606)
    - Fixes "viewer crashes on special occasions" (Closes: #365279)
    - Fixes "wrong url for remote-address with external editor" (Closes: #386329)
    - Fixes "permissions of ~/.ICEAuthority" (Closes: #417797)
    - Fixes "FTP crashing problem" (Closes: #420566)
    - Fixes "fetch password from KWallet" (Closes: #444746)
    - Fixes "viewer won't show text" (Closes: #357598)
    - Fixes "panel doesn't update" (Closes: #357920)
    - Fixes "takes long to start up" (Closes: #383475)
    - Fixes "Secure Passwords - KDE Wallet" (Closes: #460322)
    - Fixes "Make KrViewer usable for big pictures" (Closes: #482418)
    - Fixes "Please make FTP connection manager" (Closes: #500689)
  * Update debian/watch to handle upstream -beta
  * Remove Build-Depends: quilt - quilt-build-dep-but-not-series-file
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Mon, 20 Apr 2009 08:42:08 +1000

krusader (2.0.0beta2+svn6253-1) unstable; urgency=low

  * Upload to Sid.
  * Bump compat/debhelper to 7.
  * Bump Standard-Version to 3.8.1 (no changes needed).
  * New snasphot from svn revision 6253.
  * Build against kdelibs5-dev (>= 4.2.0).
  * Switch to pkg-kde-tools.

 -- Fathi Boudra <fabo@debian.org>  Tue, 07 Apr 2009 11:13:44 +0200

krusader (2.0.0beta2-1) experimental; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 29 Dec 2008 10:59:58 +0100

krusader (2.0.0beta1+svn6114-1) experimental; urgency=low

  * New snasphot from svn revision 6114.

 -- Fathi Boudra <fabo@debian.org>  Mon, 10 Nov 2008 11:58:19 +0100

krusader (2.0.0beta1+svn6078-1) experimental; urgency=low

  * Initial KDE 4 release.
  * Bump compat/debhelper to 6.
  * Adjust build dependencies to new build system.
  * Update Homepage field.
  * Remove menu dependency and menu file.
  * Replace khexedit suggestion by okteta.
  * Update copyright: Add Vaclav Juza to authors list.

 -- Fathi Boudra <fabo@debian.org>  Sun, 07 Sep 2008 13:41:43 +0200

krusader (1.90.0-3) unstable; urgency=low

  * Unbump compat/debhelper to 6. Switch back to 5 for Lenny.
  * Switch back to cdbs simple patch system. Remove quilt build dependency.

 -- Fathi Boudra <fabo@debian.org>  Sun, 10 Aug 2008 21:15:10 +0200

krusader (1.90.0-2) unstable; urgency=low

  * Add krusader branch pull patch:
    * Update french and ukrainian translations.
    * Update credits in the About box.
    * Fix Availability restrictions of UserActions. (Closes: #492955)
  * Bump compat/debhelper to 6.
  * Switch to quilt patch system: add quilt build dependency.
  * Use su-to-root instead of kdesu. Add menu dependency. (Closes: #479821)
  * Bump Standard-Version to 3.8.0 (no changes needed).
  * Use Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Sun, 10 Aug 2008 17:00:07 +0200

krusader (1.90.0-1) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]

  * New upstream release:
    - GCC 4.3 compatibility (Closes: #455657)
  * Update Debian menu section to new policy.
  * Replace GFDL full license text in debian/copyright for a pointer
    to /usr/share/common-licenses/GFDL-1.2

  [ Fathi Boudra ]

  * Update my e-mail address.
  * Remove Angel Ramos from Uploaders field.
  * Bump Standard-Version to 3.7.3.
  * Add kdebase-bin versioned dependency.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 15:10:45 +0100

krusader (1.80.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 22 Jul 2007 20:22:02 +0200

krusader (1.80.0~beta2-1) unstable; urgency=low

  * New upstream release.

  [Fathi Boudra]
  * Update copyright.
  * Remove gcc4.2 support patch. Merged upstream.
  * Update useractions examples patch.

  [Mark Purcell]
  * Update debian/watch.
  * Robust get-orig-source target.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 11 May 2007 18:12:49 +0200

krusader (1.80.0~beta1-1) experimental; urgency=low

  * Add debug package
  * Add automake1.9 to Build-Depends
  * Clean up rules:
    * remove DEB_BUILDDIR
    * add DEB_DESTDIR
    * remove desktop files freedesktop compliant hack
  * Update watch

 -- Fathi Boudra <fboudra@free.fr>  Sun,  7 Jan 2007 16:11:37 +0100

krusader (1.70.1-1) unstable; urgency=low

  * New upstream release
    * fix cleartext in the bookmark file CVE-2006-3816 (Closes: #380063)
  * Convert package to cdbs
  * New maintainers:
    * Maintainer: KDE Extras Team
    * Uploaders: Angel Ramos, Mark Purcell and Fathi Boudra
  * compat: bumped to 5
  * control:
    * removed unneeded Build-depends
    * bumped Standards-Version to 3.7.2
    * Suggests updated
    * Description updated
  * copyright: added missing copyrights and documentations license
  * docs: added FAQ
  * Added watch file
  * Added some popular useractions to Useractions.xml, patch by Vaclav Juza
  * Added krusader-rootmode to debian menu,thanks to Vaclav Juza
  * Added gcc 4.2 support patch by Martin Michlmayr (Closes: #361933)


=== debian/control ===
Source: krusader
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://www.krusader.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krusader/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krusader/trunk

Package: krusader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: md5deep | cfv, kedit, okteta, konsole, kmail,
 krename, kdiff3 | kompare | xxdiff, ark, arj, bzip2, cpio, lha,
 unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip
Description: twin-panel (commander-style) file manager
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager, similar to Midnight Commander (C) or Total Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

Package: krusader-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, krusader (= ${binary:Version})
Description: debugging symbols for krusader
 This package contains the debugging symbols associated with krusader.
 They will automatically be used by gdb for debugging krusader-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=krusader-dbg --list-missing --with kde

.PHONY: override_dh_auto_test

## krusader 2.3.0~beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 INCLUDE(CPack)
 
-set(VERSION "2.2.0-beta1" )
-set(RELEASE_NAME "DeKade")
+set(VERSION "2.3.0-beta1" )
+set(RELEASE_NAME "New Horizons")
 
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
@@ -20,8 +20,9 @@
 add_subdirectory(doc-extras)
 add_subdirectory(krArc)
 add_subdirectory(iso)
-add_subdirectory(krfiledialog)
+#add_subdirectory(krfiledialog) - not used
 #add_subdirectory(virt) - not used
+#add_subdirectory(tar) - not used
 
 message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(TARDIR)")
 find_package(Msgfmt REQUIRED)

=== doc-translations/CMakeLists.txt ===
add_subdirectory( pt_krusader/krusader )
add_subdirectory( pt_BR_krusader/krusader )
add_subdirectory( sv_krusader/krusader )
add_subdirectory( uk_krusader/krusader )

=== krusader/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 set(krusader_SRCS
     krmainwindow.cpp
     krglobal.cpp
+    actionsbase.cpp
     kractions.cpp
     paneltabbar.cpp 
     panelmanager.cpp 
@@ -94,6 +95,7 @@
         DESTINATION ${XDG_APPS_INSTALL_DIR} )
 install(FILES krusaderui.rc
               krusaderlisterui.rc
+              krviewer.rc
               midnight_commander.color
               total_commander.color
               total_commander.keymap

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 add_subdirectory( ja )
 add_subdirectory( ko )
 add_subdirectory( lt )
+add_subdirectory( mai )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )

=== krusader/Filter/CMakeLists.txt ===
set(Filter_SRCS
    advancedfilter.cpp
    generalfilter.cpp
    filtertabs.cpp
    filterdialog.cpp)

kde4_add_library(Filter STATIC ${Filter_SRCS})

target_link_libraries(Filter Dialogs)

=== krusader/VFS/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 set(VFS_SRCS
+    vfilecontainer.cpp
     krvfshandler.cpp
     virt_vfs.cpp 
     vfs.cpp

=== debian/changelog ===
krusader (1:2.3.0~beta1-1+wheezy3) testing-proposed-updates; urgency=low

  * Unbump debhelper compat level (back to 7).
  * Take C(,XX,PP)FLAGS, LDFLAGS from dpkg-buildflags and export them to the
    build environment.

 -- Modestas Vainius <modax@debian.org>  Sun, 07 Oct 2012 21:12:44 +0300

krusader (1:2.3.0~beta1-1+wheezy2) testing-proposed-updates; urgency=low

  * Bump debhelper compat level to 9 in order to pull in standard build flags.
    As a side effect, this fixes FTBFSes on arm*.

 -- Modestas Vainius <modax@debian.org>  Sat, 06 Oct 2012 11:12:12 +0300

krusader (1:2.3.0~beta1-1+wheezy1) testing-proposed-updates; urgency=low

  * Backport a patch from upstream git to fix a FTBFS with gcc 4.7.
    (Closes: #684843, #667231) Patch: fix_gcc4.7_ftbfs.diff.

 -- Modestas Vainius <modax@debian.org>  Sat, 29 Sep 2012 23:01:06 +0300

krusader (1:2.3.0~beta1-1) unstable; urgency=low

  * New upstream release.
  * Drop rev1154581.patch - cherry-picked upstream.

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Dec 2010 16:25:48 +0200

krusader (1:2.2.0~beta1-2) unstable; urgency=medium

  * Grab upstream rev1154581.patch
    - Fixes "Can't stop krusader" (Closes: #587842)
  * Urgency=medium for RC bug

 -- Mark Purcell <msp@debian.org>  Sat, 09 Oct 2010 11:36:41 +1100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), zlib1g-dev
-Standards-Version: 3.8.4
+ kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, zlib1g-dev
+Standards-Version: 3.9.1
 Homepage: http://www.krusader.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krusader/?op=log
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krusader/trunk

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
 %:
 	dh $@ --parallel --dbg-package=krusader-dbg --list-missing --with kde

## krusader 2.4.0~beta1

=== CMakeLists.txt ===
project(krusader)

INCLUDE(CPack)

set(VERSION "2.4.0-beta1" )
set(RELEASE_NAME "Migration")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

set(CMAKE_VERBOSE_MAKEFILE OFF)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

#include(ConfigureChecks.cmake)

add_subdirectory(krusader)
add_subdirectory(pics)
add_subdirectory(doc-extras)
add_subdirectory(krArc)
add_subdirectory(iso)
add_subdirectory(doc)
#add_subdirectory(krfiledialog) - not used
#add_subdirectory(virt) - not used
#add_subdirectory(tar) - not used

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(TARDIR)")

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,5 @@
 
 
 kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krusader)
+kde4_create_manpage(man-krusader.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(uk)
add_subdirectory(el)
add_subdirectory(pt_BR)
add_subdirectory(en_GB)
add_subdirectory(fr)
add_subdirectory(sk)
add_subdirectory(it)
add_subdirectory(hr)
add_subdirectory(sl)
add_subdirectory(eo)
add_subdirectory(pt)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(cs)
add_subdirectory(pl)
add_subdirectory(ga)
add_subdirectory(ko)
add_subdirectory(gl)
add_subdirectory(ug)
add_subdirectory(de)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(nds)
add_subdirectory(ja)
add_subdirectory(es)
add_subdirectory(zh_CN)
add_subdirectory(bg)
add_subdirectory(nb)
add_subdirectory(lt)
add_subdirectory(zh_TW)
add_subdirectory(mai)
add_subdirectory(hu)
add_subdirectory(et)
add_subdirectory(tr)
add_subdirectory(ro)
add_subdirectory(ca@valencia)
add_subdirectory(ru)
add_subdirectory(bs)

=== doc/pics/CMakeLists.txt ===

install( FILES bookmanadd.png bookmanedit.png cmdline.png fnkeys.png kgstartup.png krusader1.png listpanel.png mainwindow.png mountman.png actionman.png search_advanced.png search_general.png terminalEmu.png toolbar.png tabbed_browsing.png krusader_title.png syncdir.png DESTINATION ${HTML_INSTALL_DIR}/en/krusader)

=== debian/changelog ===
krusader (1:2.4.0~beta1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Michał Zając <quintasan@kubuntu.org>  Mon, 08 Aug 2011 13:47:36 +0200

krusader (1:2.3.0~beta1-1build1) oneiric; urgency=low

  * Rebuild for libkonq5abi1 transition.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 08 Jun 2011 13:08:09 +0200

## krusader 2.4.0~beta1+git76+de1ea35

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,9 @@
 set(CMAKE_VERBOSE_MAKEFILE OFF)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+
+# FIX krarc (bug 280939 and general maintainability) before enabling this !!!
+# add_definitions( "-DKRARC_ENABLED" )
 
 #include(ConfigureChecks.cmake)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-add_subdirectory( pics )
-
 ########### install files ###############

=== krusader/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
     krmainwindow.cpp
     krglobal.cpp
     actionsbase.cpp
+    tabactions.cpp
     kractions.cpp
     paneltabbar.cpp 
     panelmanager.cpp

=== krusader/VFS/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
     ftp_vfs.cpp 
     krquery.cpp
     kiojobwrapper.cpp
-    preserveattrcopyjob.cpp
     packjob.cpp
     abstractthreadedjob.cpp)

=== debian/changelog ===
krusader (1:2.4.0~beta1+git76+de1ea35-1.1) unstable; urgency=low

  * Non maintainer upload
  * Work around build failure with GCC 4.7. Closes: #667231.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 11:36:40 +0000

krusader (1:2.4.0~beta1+git76+de1ea35-1) unstable; urgency=low

  * New snaphshot.
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - bump Standards-Version to 3.9.2 - no changes needed.
    - drop kedit from suggests. (Closes: #646414)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 15:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,37 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, zlib1g-dev
-Standards-Version: 3.9.1
+Build-Depends: cmake,
+               debhelper (>= 8.0.0),
+               kdelibs5-dev (>= 4:4.4.4),
+               libkonq5-dev,
+               pkg-kde-tools (>= 0.9.0),
+               zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://www.krusader.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krusader/?op=log
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krusader/trunk
 
 Package: krusader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: md5deep | cfv, kedit, okteta, konsole, kmail,
- krename, kdiff3 | kompare | xxdiff, ark, arj, bzip2, cpio, lha,
- unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: arj,
+          ark,
+          bzip2,
+          cpio,
+          kdiff3 | kompare | xxdiff,
+          kmail,
+          konsole,
+          krename,
+          lha,
+          md5deep | cfv,
+          okteta,
+          p7zip,
+          rpm,
+          unace,
+          unrar | unrar-free | rar,
+          unzip,
+          zip
 Description: twin-panel (commander-style) file manager
  Krusader is a simple, easy, powerful, twin-panel (commander-style) file
  manager, similar to Midnight Commander (C) or Total Commander (C).
@@ -38,7 +56,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, krusader (= ${binary:Version})
+Depends: krusader (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for krusader
  This package contains the debugging symbols associated with krusader.
  They will automatically be used by gdb for debugging krusader-related

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

%:
	dh $@ --parallel --dbg-package=krusader-dbg --list-missing --with kde

override_dh_auto_configure:
	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure

override_dh_auto_test:

## krusader 2.4.0~beta3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 INCLUDE(CPack)
 
-set(VERSION "2.4.0-beta1" )
-set(RELEASE_NAME "Migration")
+set(VERSION "2.4.0-beta3" )
+set(RELEASE_NAME "Single Step")
 
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
@@ -13,8 +13,12 @@
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-# FIX krarc (bug 280939 and general maintainability) before enabling this !!!
-# add_definitions( "-DKRARC_ENABLED" )
+add_definitions( "-DKRARC_ENABLED" )
+
+find_package(ACL)
+if(ACL_FOUND)
+    add_definitions(-DHAVE_POSIX_ACL)
+endif(ACL_FOUND)
 
 #include(ConfigureChecks.cmake)

=== doc/CMakeLists.txt ===
add_subdirectory(pt_BR)
add_subdirectory(pt)
add_subdirectory(uk)
add_subdirectory(en_US)
add_subdirectory(sv)

=== iso/CMakeLists.txt ===
include(FindZLIB)

include(libisofs/CMakeLists.txt)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

set(kio_iso_PART_SRCS 
    kisodirectory.cpp 
    kisofile.cpp 
    qfilehack.cpp 
    kiso.cpp 
    iso.cpp)

kde4_add_plugin(kio_iso ${kio_iso_PART_SRCS} ${libisofs_SRCS})

target_link_libraries(kio_iso ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${ZLIB_LIBRARY})

install(TARGETS kio_iso DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES iso.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kio_isorc DESTINATION ${CONFIG_INSTALL_DIR})

=== krArc/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

set(kio_krarc_PART_SRCS krarc.cpp)

kde4_add_plugin(kio_krarc ${kio_krarc_PART_SRCS})

target_link_libraries(kio_krarc  ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS kio_krarc DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES krarc.protocol DESTINATION  ${SERVICES_INSTALL_DIR} )

=== krusader/CMakeLists.txt ===
--- 
+++ 
@@ -51,11 +51,11 @@
     krusaderapp.cpp
     krtrashhandler.cpp)
 
-qt4_add_dbus_adaptor(krusader_SRCS org.krusader.Instance.xml krusader.h Krusader)
-
 kde4_add_app_icon(krusader_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-krusader_user.png")
 
-kde4_add_executable(krusader ${krusader_SRCS})
+qt4_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )
+
+kde4_add_executable(krusader ${krusader_SRCS} ${krusader_RC_SRCS})
 
 target_link_libraries(krusader
                       Panel
@@ -80,7 +80,6 @@
                       Dialogs
                       GUI
                       ${KDE4_KPARTS_LIBS}
-                      ${KDE4_KHTML_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KFILE_LIBS}
                       ${KDE4_KDECORE_LIBS}

=== pics/CMakeLists.txt ===
add_subdirectory(kde3)

kde4_install_icons(${DATA_INSTALL_DIR}/krusader/icons)

#install(FILES DESTINATION ${DATA_INSTALL_DIR}/krusader/icons)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(cs)
add_subdirectory(de)
add_subdirectory(en_GB)
add_subdirectory(hr)
add_subdirectory(pt_BR)
add_subdirectory(zh_CN)
add_subdirectory(fr)
add_subdirectory(lt)
add_subdirectory(sk)
add_subdirectory(pa)
add_subdirectory(el)
add_subdirectory(sr)
add_subdirectory(ca@valencia)
add_subdirectory(pt)
add_subdirectory(eo)
add_subdirectory(zh_TW)
add_subdirectory(sl)
add_subdirectory(es)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(pl)
add_subdirectory(bg)
add_subdirectory(ru)
add_subdirectory(nds)
add_subdirectory(hu)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr@latin)
add_subdirectory(ko)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(fi)
add_subdirectory(ro)
add_subdirectory(nb)
add_subdirectory(ga)
add_subdirectory(it)
add_subdirectory(ug)
add_subdirectory(mai)
add_subdirectory(tr)
add_subdirectory(sr@ijekavian)
add_subdirectory(da)
add_subdirectory(gl)
add_subdirectory(sv)
add_subdirectory(ja)

=== tar/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

set(kio_tar_PART_SRCS tar.cc)

kde4_add_plugin(kio_tar ${kio_tar_PART_SRCS})

target_link_libraries(kio_tar ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_tar DESTINATION ${PLUGIN_INSTALL_DIR})

set(ktartest_SRCS ktartest.cpp)

if(KDE4_BUILD_TESTS)
    kde4_add_executable(ktartest ${ktartest_SRCS})
    target_link_libraries(ktartest ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})
endif(KDE4_BUILD_TESTS)

install(FILES tar.protocol
              ar.protocol
              zip.protocol
        DESTINATION ${SERVICES_INSTALL_DIR})

=== virt/CMakeLists.txt ===

set(kio_virt_PART_SRCS virt.cc)

kde4_add_plugin(kio_virt ${kio_virt_PART_SRCS})

target_link_libraries(kio_virt  ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_virt DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES virt.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krusader )

=== doc/pt/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt SUBDIR krusader )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR krusader )

=== debian/changelog ===
krusader (1:2.4.0~beta3-2ubuntu1) vivid; urgency=medium

  * recommend konsole4-kpart not konsole

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 16:19:44 +0100

krusader (1:2.4.0~beta3-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:45:27 +1000

krusader (1:2.4.0~beta3-1) experimental; urgency=low

  * New upstream release
  * debian/watch -> check for .bz2
  * debian/compat -> 9
  * ACK NMUs - Thanks modax & doko

 -- Mark Purcell <msp@debian.org>  Fri, 29 Mar 2013 09:25:09 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: krusader
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 8.0.0),
+               debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.4),
                libkonq5-dev,
                pkg-kde-tools (>= 0.9.0),
@@ -17,13 +18,13 @@
 Package: krusader
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: konsole4-kpart
 Suggests: arj,
           ark,
           bzip2,
           cpio,
           kdiff3 | kompare | xxdiff,
           kmail,
-          konsole,
           krename,
           lha,
           md5deep | cfv,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=krusader-dbg --list-missing --with kde

override_dh_auto_test:

## krusader 2.5.0

=== CMakeLists.txt ===
project(krusader)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")

set(VERSION "2.5.0" )
set(RELEASE_NAME "Clear Skies")

# Manages plugin loading. For more details it can be seen https://www.kde.org/announcements/kde-frameworks-5.5.0.php
# https://github.com/KDE/partitionmanager/blob/master/CMakeLists.txt http://commits.kde.org/kimtoy/1e62777affb0e072f3462e80bc271f3cba661104
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckIncludeFiles)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 CONFIG REQUIRED
  Core
  Gui
  DBus
  Widgets
  PrintSupport
  Xml
)

# determine kf5 version is at least 5.23
message(STATUS "Searching for KF5KIO version 5.23 or newer...")
find_package(KF5 5.23 QUIET COMPONENTS
  KIO
)
if(KF5_FOUND)
  set(KRARC_QUERY_ENABLED TRUE)
  add_definitions( "-DKRARC_QUERY_ENABLED" )
else(KF5_FOUND)
  message(STATUS "KF5KIO version 5.23 or newer not found, some krarc:/ functionality will be disabled.")
  set(KRARC_QUERY_ENABLED FALSE)
endif(KF5_FOUND)

find_package(KF5 REQUIRED COMPONENTS
  Archive
  Bookmarks
  Codecs
  Completion
  CoreAddons
  Config
  DocTools
  I18n
  IconThemes
  ItemViews
  KIO
  Notifications
  Parts
  Solid
  TextWidgets
  Wallet
  WidgetsAddons
  WindowSystem
  XmlGui
  GuiAddons
)

# Synchronizer is enabled by default, unless disabled from the command line (-DENABLE_SYNCHRONIZER=OFF)
option(ENABLE_SYNCHRONIZER "Enable Synchronizer" ON)

# if an old setting is being used, use the setting that complies with the structure of other Krusader settings
if(ENABLE_SYNCHRONIZER)
    set(SYNCHRONIZER_ENABLED TRUE)
    add_definitions( "-DSYNCHRONIZER_ENABLED" )
else()
    set(SYNCHRONIZER_ENABLED FALSE)
endif()

add_definitions(${QT_DEFINITIONS} ${KF5_DEFINITIONS})
add_definitions( "-DKRARC_ENABLED" )
add_definitions( "-DQT_NO_URL_CAST_FROM_STRING" )

check_include_files(attr/libattr.h HAVE_ATTR_LIBATTR_H)
check_include_files(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_files(sys/acl.h HAVE_SYS_ACL_H)
check_include_files(acl/libacl.h HAVE_ACL_LIBACL_H)

if (HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)
    set(ACL_HEADERS_FOUND TRUE)
endif(HAVE_ATTR_LIBATTR_H AND HAVE_SYS_XATTR_H AND HAVE_SYS_ACL_H AND HAVE_ACL_LIBACL_H)

if (ACL_HEADERS_FOUND)
    find_library(ACL_LIBS NAMES acl )
    find_library(ATTR_LIBS NAMES attr )
endif(ACL_HEADERS_FOUND)

if (ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)
    set(ACL_FOUND TRUE)
    set(ACL_LIBS ${ACL_LIBS} ${ATTR_LIBS})
    message(STATUS "Found ACL support: ${ACL_LIBS}")
    add_definitions(-DHAVE_POSIX_ACL)
endif(ACL_HEADERS_FOUND AND ACL_LIBS AND ATTR_LIBS)

#include(ConfigureChecks.cmake)

add_subdirectory(krusader)
add_subdirectory(pics)
add_subdirectory(doc-extras)
add_subdirectory(krArc)
add_subdirectory(iso)
add_subdirectory(doc)
#add_subdirectory(virt) - not used

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(uk)
add_subdirectory(en)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)

=== iso/CMakeLists.txt ===
include(FindZLIB)

include(libisofs/CMakeLists.txt)

include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(kio_iso_PART_SRCS
    kisodirectory.cpp
    kisofile.cpp
    qfilehack.cpp
    kiso.cpp
    iso.cpp)

add_library(kio_iso MODULE ${kio_iso_PART_SRCS} ${libisofs_SRCS})

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

target_link_libraries(kio_iso
    KF5::Archive
    KF5::ConfigCore
    KF5::KIOCore
    ${ZLIB_LIBRARY}
)

install(TARGETS kio_iso DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES iso.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kio_isorc DESTINATION ${CONFIG_INSTALL_DIR})

=== krArc/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

set(kio_krarc_PART_SRCS
    krarc.cpp
    krarcbasemanager.cpp
    krlinecountingprocess.cpp
    krdebuglogger.cpp
)

add_library(kio_krarc MODULE ${kio_krarc_PART_SRCS})

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="krusader")

# TODO porting : new variables needed?
target_link_libraries(kio_krarc
    Qt5::Gui
    KF5::Archive
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
)

install(TARGETS kio_krarc DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES krarc.protocol DESTINATION  ${SERVICES_INSTALL_DIR})

=== krusader/CMakeLists.txt ===
include_directories(${KF5_INCLUDES_DIRS} ${QT_INCLUDES})

configure_file(krusaderversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/krusaderversion.h)

add_subdirectory(ActionMan)
add_subdirectory(BookMan)
add_subdirectory(Dialogs)
add_subdirectory(DiskUsage)
add_subdirectory(Filter)
add_subdirectory(GUI)
add_subdirectory(Konfigurator)
add_subdirectory(KViewer)
add_subdirectory(Locate)
add_subdirectory(MountMan)
add_subdirectory(Queue)
add_subdirectory(Panel)
add_subdirectory(Search)
add_subdirectory(Splitter)
add_subdirectory(UserAction)
add_subdirectory(UserMenu)
add_subdirectory(VFS)

if(SYNCHRONIZER_ENABLED)
    add_subdirectory(Synchronizer)
endif(SYNCHRONIZER_ENABLED)

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(KRJSDIR)")

set(krusader_SRCS
    krglobal.cpp
    actionsbase.cpp
    tabactions.cpp
    kractions.cpp
    paneltabbar.cpp
    panelmanager.cpp
    krservices.cpp
    main.cpp
    krusaderview.cpp
    krusader.cpp
    krslots.cpp
    kicons.cpp
    krtrashhandler.cpp)

# TODO porting: missing kf5 equivalent
#kde4_add_app_icon(krusader_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-krusader_user.png")

qt5_add_resources(krusader_RC_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/resources.qrc" )

add_executable(krusader ${krusader_SRCS} ${krusader_RC_SRCS})

target_link_libraries(krusader
                      Panel
                      BookMan
                      Dialogs
                      DiskUsage
                      GUI
                      Konfigurator
                      KViewer
                      MountMan
                      Queue
                      VFS
                      Search
                      Splitter
                      UserMenu
                      Locate
                      UserAction
                      ActionMan
                      KViewer
                      Filter
                      Dialogs
                      GUI
                      KF5::Notifications
                      KF5::Parts
                      KF5::WindowSystem
                      Qt5::PrintSupport
)

if(SYNCHRONIZER_ENABLED)
    target_link_libraries( krusader Synchronizer )
endif(SYNCHRONIZER_ENABLED)

install(TARGETS krusader ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krusader.desktop
              org.kde.krusader.root-mode.desktop
        DESTINATION ${XDG_APPS_INSTALL_DIR} )
install(FILES krusaderui.rc
              krusaderlisterui.rc
              krviewer.rc
        DESTINATION ${KXMLGUI_INSTALL_DIR}/krusader)
install(FILES midnight_commander.color
              total_commander.color
              total_commander.keymap
              total_commander.keymap.info
              useraction_examples.xml
              layout.xml
              splash.png
        DESTINATION ${DATA_INSTALL_DIR}/krusader)
install(FILES org.kde.krusader.appdata.xml
        DESTINATION ${SHARE_INSTALL_PREFIX}/appdata)

ecm_install_icons(ICONS
    icons/16-apps-krusader_blue.png
    icons/16-apps-krusader_red.png
    icons/16-apps-krusader_root.png
    icons/16-apps-krusader_user.png
    icons/22-apps-krusader_blue.png
    icons/22-apps-krusader_red.png
    icons/22-apps-krusader_root.png
    icons/22-apps-krusader_shield.png
    icons/22-apps-krusader_user.png
    icons/32-apps-krusader_blue.png
    icons/32-apps-krusader_red.png
    icons/32-apps-krusader_root.png
    icons/32-apps-krusader_shield.png
    icons/32-apps-krusader_user.png
    icons/48-apps-krusader_blue.png
    icons/48-apps-krusader_red.png
    icons/48-apps-krusader_root.png
    icons/48-apps-krusader_shield.png
    icons/48-apps-krusader_user.png
    icons/64-apps-krusader_blue.png
    icons/64-apps-krusader_red.png
    icons/64-apps-krusader_root.png
    icons/64-apps-krusader_shield.png
    icons/64-apps-krusader_user.png
    icons/128-apps-krusader_root.png
    icons/128-apps-krusader_user.png
    DESTINATION ${ICON_INSTALL_DIR}
)

=== doc/de/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de
                          SUBDIR krusader)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR krusader)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR krusader)

=== doc/nl/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl
                          SUBDIR krusader)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR krusader)

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR krusader)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR krusader)

=== debian/changelog ===
krusader (2:2.5.0-2) unstable; urgency=medium

  * Add missing kinit runtime dependency.
  * Add NEWS entry for krusader configuration paths change. (Closes: 854992)
    Thanks Roman Lebedev for reporting.
  * Add patches to restore minimize tray function. (Closes: 848711)
     + ADDED-Reimplementation-of-minimize-to-system-tray-feature.patch
     + FIXED-365105-Workaround-for-bug-in-KF5-QSystemTrayIcon.patch
    Thanks Andrej Mernik for reporting.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 11 Feb 2017 10:39:05 +0100

krusader (2:2.5.0-1) unstable; urgency=medium

  * New upstream release (2.5.0)
  * Update the install file
  * Add new patch: Build-and-install-the-manpages.patch
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 16:18:11 +0100

krusader (1:15.08~2015.11.01-1) experimental; urgency=medium

  * New upstream pre release (15.08~2015.11.01)
  * Update build dependencies.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Nov 2015 16:36:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,50 @@
 Source: krusader
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cmake,
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>,
+           Mark Purcell <msp@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.4),
-               libkonq5-dev,
-               pkg-kde-tools (>= 0.9.0),
+               extra-cmake-modules (>= 1.1.0~),
+               kdoctools-dev,
+               kio-dev,
+               libkf5archive-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemviews-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5solid-dev,
+               libkf5textwidgets-dev,
+               libkf5wallet-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 Homepage: http://www.krusader.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/krusader/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/krusader
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/krusader/trunk
 
 Package: krusader
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: konsole4-kpart
+Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
 Suggests: arj,
           ark,
           bzip2,
           cpio,
           kdiff3 | kompare | xxdiff,
           kmail,
+          konsole,
           krename,
           lha,
           md5deep | cfv,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=krusader-dbg --list-missing --with kf5

override_dh_auto_test:
